Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.apache.xerces.validators.schema.identity
Class Selector.XPath

    java.lang.Object
      |
      +--weblogic.apache.xerces.validators.schema.identity.XPath
            |
            +--weblogic.apache.xerces.validators.schema.identity.Selector.XPath

public static class Selector.XPath
extends XPath

Schema identity constraint selector XPath expression.

This class is based on an implementation from the Apache XML Project. In future releases the XML parser, XSLT processor, and associated classes will likely be updated to be based on a later version of the Apache implementations. Since Apache does not guarantee backwards compatibility between versions of their software, we cannot guarantee backwards compatibility of any of the classes contained in the weblogic.apache package or sub-packages.

Version:
  $Id: Selector.java,v 1.12 2001/06/01 20:08:45 neilg Exp $
Author:
  Andy Clark, IBM

Inner classes inherited from class weblogic.apache.xerces.validators.schema.identity.XPath
`XPath.Axis, XPath.LocationPath, XPath.NodeTest, XPath.Step`

Fields inherited from class weblogic.apache.xerces.validators.schema.identity.XPath
`fExpression, fLocationPaths, fStringPool`

Constructor Summary
`Selector.XPath(java.lang.String xpath, StringPool stringPool, NamespacesScope context)` Constructs a selector XPath expression.

Methods inherited from class weblogic.apache.xerces.validators.schema.identity.XPath
`getLocationPath, getLocationPaths, main, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Selector.XPath

    public Selector.XPath(java.lang.String xpath,
                          StringPool stringPool,
                          NamespacesScope context)
                   throws XPathException

  Constructs a selector XPath expression.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference